<?
define('PROTECTOR', 1);

$headmod = 'adm_panel';//фикс. места

$textl='Админ-панель';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if($udata[prava]<4){
echo'Доступ закрыт!';
include($path.'files/down.php');
exit;
}

switch($_GET[mod]){

default:
echo"<a href=\"adm_panel.php?mod=1\">Создать новую вещь</a><br/>";
echo"<a href=\"adm_panel.php?mod=2\">Работа с готовыми вещами</a><br/>";
echo"<a href=\"adm_panel.php?mod=4\">Создать новую локацию</a><br/>";
echo"<a href=\"adm_panel.php?mod=5\">Создать нового монстра</a><br/>";
echo"<a href=\"adm_panel.php?mod=6\">Управление монстрами</a><br/>";
echo"<a href=\"adm_panel.php?mod=8\">Управление локациями</a><br/>";
echo"<a href=\"adm_panel.php?mod=18\">Создать новую ауру</a><br/>";
echo"<a href=\"adm_panel.php?mod=19\">Управление аурами</a><br/>";
echo"<a href=\"adm_panel.php?mod=21\">Редактирование персонажа</a><br/>";

echo"<a href=\"adm_panel.php?mod=10\">Наложить бан</a><br/>";
echo"<a href=\"adm_panel.php?mod=11\">Список забаненых</a><br/>";
echo"<a href=\"adm_panel.php?mod=26\">Добавить новость</a> | <a href=\"adm_panel.php?mod=27\">Изменить\Удалить</a><br/>";
echo"<a href=\"adm_panel.php?mod=15\">Добавить статью</a><br/>";
echo"<a href=\"adm_panel.php?mod=16\">Библиотека</a><br/>";
break;

case '1':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=1" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"inkel\">Инкель</option>
<option value=\"gilden\">Гильден</option>
<option value=\"asten\">Астен</option>
</select><br/>";

echo "Тип:<br/>
<select name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"golova\">Шлем</option>
<option value=\"body\">Доспехи</option>
<option value=\"ruki\">Рукавицы</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"plash\">Плащ</option>
<option value=\"poyas\">Пояс</option>
<option value=\"shit\">Щит</option>
<option value=\"amulet\">Амулет</option>
<option value=\"kolco\">Кольцо</option>
</select><br/>";

echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Цена<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pgolova\"/><br/>";

echo"Защита тела<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pbody\"/><br/>";

echo"Защита ног<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pnogi\"/><br/>";

echo"Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>";
echo"Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>";
echo"Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Бонус антикрит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"antikrit\"/><br/>";
echo"Бонус силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sila\"/><br/>";
echo"Бонус ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>";
echo"Бонус интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"um\"/><br/>";
echo"Бонус физ. защиты<br/>
<input class='input' type=\"text\" size=\"10\" name=\"prot\"/><br/>";

echo "Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo"Требуется силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nsila\"/><br/>";

echo"Требуется ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlovk\"/><br/>";

echo"Требуется интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"num\"/><br/>";

echo"Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

if(empty($_POST[cena])){$_POST[cena]=100000;}
if(empty($_POST[umin])){$_POST[umin]=0;}
if(empty($_POST[umax])){$_POST[umax]=0;}
if(empty($_POST[protect])){$_POST[protect]=0;}
if(empty($_POST[hp])){$_POST[hp]=0;}
if(empty($_POST[mp])){$_POST[mp]=0;}
if(empty($_POST[krit])){$_POST[krit]=0;}
if(empty($_POST[antikrit])){$_POST[antikrit]=0;}
if(empty($_POST[ukrit])){$_POST[ukrit]=0;}
if(empty($_POST[sila])){$_POST[sila]=0;}
if(empty($_POST[lovk])){$_POST[lovk]=0;}
if(empty($_POST[um])){$_POST[um]=0;}
if(empty($_POST[prot])){$_POST[prot]=0;}

if(empty($_POST[nsila])){$_POST[nsila]=0;}
if(empty($_POST[nlovk])){$_POST[nlovk]=0;}
if(empty($_POST[num])){$_POST[num]=0;}
if(empty($_POST[nlvl])){$_POST[nlvl]=0;}

mysql_query("INSERT INTO
`shop` SET
`city` = '$_POST[city]',
`tip` = '$_POST[tip]',
`name` = '$_POST[name]',
`cena` = '$_POST[cena]',
`umin` = '$_POST[umin]',
`umax` = '$_POST[umax]',
`pgolova` = '$_POST[pgolova]',
`pbody` = '$_POST[pbody]',
`pnogi` = '$_POST[pnogi]',
`hp` = '$_POST[hp]',
`mp` = '$_POST[mp]',
`krit` = '$_POST[krit]',
`ukrit` = '$_POST[ukrit]',
`antikrit` = '$_POST[antikrit]',
`sila` = '$_POST[sila]',
`lovk` = '$_POST[lovk]',
`um` = '$_POST[um]',
`prot` = '$_POST[prot]',
`klas` = '$_POST[klas]',
`nsila` = '$_POST[nsila]',
`nlovk` = '$_POST[nlovk]',
`num` = '$_POST[num]',
`nlvl` = '$_POST[nlvl]'");

echo'Вещь '.$_POST[name].' создана!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '2':
$req = mysql_query("SELECT * FROM `shop`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b> [<a href=\"adm_panel.php?mod=3&amp;id=$mag[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=14&amp;id=$mag[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет вещей</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '3':
if(empty($_GET[id])){
echo"Ошибка невыбрана вещь!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `shop` WHERE `id`='$_GET[id]'");
echo'Вещь удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '4':
if(empty($_POST[name])){
echo'Недолжно быть минусовых координат!<br/>';
echo '<form action="adm_panel.php?mod=4" method="post">';
echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option><option value=\"inkel\">Инкель</option>
<option value=\"gilden\">Гильден</option>
<option value=\"asten\">Астен</option>
</select><br/>";

echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Координата по X<br/>
<input class='input' type=\"text\" size=\"10\" name=\"x\"/><br/>";

echo"Координата по Y<br/>
<input class='input' type=\"text\" size=\"10\" name=\"y\"/><br/>";
echo'Чтобы включить поставь галочку:<br/>';

echo'<input name="portal" type="checkbox" value="1" /> Портал<br /><br/>';

echo'<input name="bu" type="checkbox" value="1" /> Нельзя пойти вверх<br /><br/>';

echo'<input name="bd" type="checkbox" value="1" /> Нельзя пойти вниз<br /><br/>';

echo'<input name="bl" type="checkbox" value="1" /> Нельзя пойти влево<br /><br/>';

echo'<input name="br" type="checkbox" value="1" /> Нельзя пойти вправо<br /><br/>';

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
$req = mysql_query("SELECT * FROM `world` where `city`='$_POST[city]' and `location`='1' and `x`='$_POST[x]' and `y`='$_POST[y]'");
$avto=mysql_num_rows($req);
if($avto>=1){echo"Такая локация есть!";include($path.'files/down.php');exit;}

if(empty($_POST['bu'])){$_POST['bu']='0';}else{$_POST['bu']='1';}
if(empty($_POST['bd'])){$_POST['bd']='0';}else{$_POST['bd']='1';}
if(empty($_POST['br'])){$_POST['br']='0';}else{$_POST['br']='1';}
if(empty($_POST['bl'])){$_POST['bl']='0';}else{$_POST['bl']='1';}
if(empty($_POST['portal'])){$_POST['portal']='0';}else{$_POST['portal']='1';}

mysql_query("INSERT INTO
`world` SET
`city` = '$_POST[city]',
`name` = '$_POST[name]',
`x` = '$_POST[x]',
`y` = '$_POST[y]',
`bu` = '$_POST[bu]',
`bd` = '$_POST[bd]',
`br` = '$_POST[br]',
`bl` = '$_POST[bl]',
`portal` = '$_POST[portal]'");

echo'Локация '.$_POST[name].' создана!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '5':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=5" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
</select><br/>";

echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lvl\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Макс. здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hpall\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита тела<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Защита от умений<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pmag\"/><br/>";
echo"Шанс крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>";
echo"Урон-крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Анти-крит(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"antikrit\"/><br/>";

echo"Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>";

echo"Шанс выпадания дропа(проискохит рэнд(1,до вашего числа) если рез.=1 то дроп выпадает!чем меньше число тем больше шанс выпадания!на шакалах стоит 10)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sd\"/><br/>";
echo"Дроп<br/>
Писать номера дропа через запятую(пример 1,2,3,4)<br/>
Номер-дроп<br/>
1 - HP-5<br/>
2 - MP-5<br/>
3 - Свиток слабой заточки<br/>
4 - Свиток слабой защиты<br/>
5 - HP-10<br/>
6 - Свиток заточки<br/>
7 - MP-10<br/>
8 - Серебро<br/>
9 - Нефрит<br/>
10 - Обсидиан<br/>
<input class='input' type=\"text\" size=\"20\" name=\"drop\"/><br/>";

echo"Шанс выпадания монет(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sm\"/><br/>";

echo"Кол. монет:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"money\"/><br/>";

echo"Опыта:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"exp\"/><br/>";

echo"Время смерти(в секундах):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo"Координата по X:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"x\"/><br/>";

echo"Координата по Y:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"y\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

mysql_query("INSERT INTO
`mob` SET
`city` = '$_POST[city]',
`name` = '$_POST[name]',
`lvl` = '$_POST[lvl]',
`hp` = '$_POST[hp]',
`hpall` = '$_POST[hpall]',
`umin` = '$_POST[umin]',
`umax` = '$_POST[umax]',
`pgolova` = '$_POST[pgolova]',
`pbody` = '$_POST[pbody]',
`pnogi` = '$_POST[pnogi]',
`pmag` = '$_POST[pmag]',
`krit` = '$_POST[krit]',
`ukrit` = '$_POST[ukrit]',
`antikrit` = '$_POST[antikrit]',
`lovk` = '$_POST[lovk]',
`sd` = '$_POST[sd]',
`drop` = '$_POST[drop]',
`sm` = '$_POST[sm]',
`money` = '$_POST[money]',
`exp` = '$_POST[exp]',
`tip` = 'life',
`status` = 'on',
`oponent` = 'not',
`time` = '$_POST[time]',
`x` = '$_POST[x]',
`y` = '$_POST[y]'");

echo'Монстр '.$_POST[name].' создана!Чтобы создать точно такого же рядом ОБНОВИТЕ СТРАНИЦУ!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '6':
$req = mysql_query("SELECT * FROM `mob` WHERE `city`='fornost'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]($mag[x];$mag[y])</b> [<a href=\"adm_panel.php?mod=7&amp;id=$mag[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=13&amp;id=$mag[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет монстров</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '7':
if(empty($_GET[id])){
echo"Ошибка невыбран монстр!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `mob` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `mob` WHERE `id`='$_GET[id]'");
echo'Монстр удалён!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '8':
$req = mysql_query("SELECT * FROM `world` WHERE `city`='fornost'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name](X:$mag[x];Y:$mag[y])</b> [<a href=\"adm_panel.php?mod=9&amp;id=$mag[id]\">удалить</a>]<br/>";
}
}else{
echo"<b>Нет локаций</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '9':
if(empty($_GET[id])){
echo"Ошибка невыбрана локация!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `world` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `world` WHERE `id`='$_GET[id]'");
echo'Локация удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '10':
if(empty($_POST[nick])){
echo '<form action="adm_panel.php?mod=10" method="post">';
echo"Логин:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>";

echo"Причина бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип времени:<br/>
<select name=\"times\">
<option value=\"sec\">Секунд</option>
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
</select><br/>";

echo '<input class="button" type="submit" value="Забанить" /></form>';
}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";include($path.'files/down.php');exit;}

$req = mysql_query("SELECT * FROM `ban` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==1){echo"Игрок уже в бане!";include($path.'files/down.php');exit;}

if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}

$time_ban=time()+$_POST[time];

mysql_query("INSERT INTO
`ban` SET
`usr` = '$_POST[nick]',
`text` = '$_POST[text]',
`ban_time` = '$time_ban'");

echo'Игрок '.$_POST[nick].' забанен!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '11':
$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[usr]</b> [<a href=\"adm_panel.php?mod=12&amp;id=$mag[id]\">снять бан</a>]<br/>";
}
}else{
echo"<b>Нет забаненых!</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '12':
if(empty($_GET[id])){
echo"Ошибка невыбран игрок!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `ban` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `ban` WHERE `id`='$_GET[id]'");
echo'Бан снят!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '13':
if(empty($_GET[id])){
echo"Ошибка невыбран монстр!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `mob` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такого монстра не существует.";include($path.'files/down.php');exit;}
$mob = mysql_fetch_array($req);


if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=13&amp;id='.$_GET[id].'" method="post">';

echo"Имя<br/>
<input class='input' type=\"text\" value=\"$mob[name]\" size=\"10\" name=\"name\"/><br/>";

echo"Уровень<br/>
<input class='input' type=\"text\" value=\"$mob[lvl]\" size=\"10\" name=\"lvl\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" value=\"$mob[umin]\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" value=\"$mob[umax]\" size=\"10\" name=\"umax\"/><br/>";

echo"Здоровья<br/>
<input class='input' type=\"text\" value=\"$mob[hp]\" size=\"10\" name=\"hp\"/><br/>";
echo"Макс. здоровья<br/>
<input class='input' type=\"text\" value=\"$mob[hpall]\" size=\"10\" name=\"hpall\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" value=\"$mob[pgolova]\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита тела<br/>
<input class='input' type=\"text\" value=\"$mob[pbody]\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" value=\"$mob[pnogi]\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Защита от умений<br/>
<input class='input' type=\"text\" value=\"$mob[pmag]\" size=\"10\" name=\"pmag\"/><br/>";
echo"Шанс крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[krit]\" size=\"10\" name=\"krit\"/><br/>";
echo"Урон-крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Анти-крит(%)<br/>
<input class='input' type=\"text\" value=\"$mob[antikrit]\" size=\"10\" name=\"antikrit\"/><br/>";

echo"Ловкость<br/>
<input class='input' type=\"text\" value=\"$mob[lovk]\" size=\"10\" name=\"lovk\"/><br/>";

echo"Шанс выпадания дропа(проискохит рэнд(1,до вашего числа) если рез.=1 то дроп выпадает!чем меньше число тем больше шанс выпадания!на шакалах стоит 10)<br/>
<input class='input' type=\"text\" value=\"$mob[sd]\" size=\"10\" name=\"sd\"/><br/>";
echo"Дроп<br/>
Писать номера дропа через запятую(пример 1,2,3,4)<br/>
Номер-дроп<br/>
1 - HP-5<br/>
2 - MP-5<br/>
3 - Свиток слабой заточки<br/>
4 - Свиток слабой защиты<br/>
5 - HP-10<br/>
6 - Свиток заточки<br/>
7 - MP-10<br/>
8 - Серебро<br/>
9 - Нефрит<br/>
10 - Обсидиан<br/>
<input class='input' type=\"text\" value=\"$mob[drop]\" size=\"20\" name=\"drop\"/><br/>";

echo"Шанс выпадания монет(%)<br/>
<input class='input' type=\"text\" value=\"$mob[sm]\" size=\"10\" name=\"sm\"/><br/>";

echo"Кол. монет:<br/>
<input class='input' type=\"text\" value=\"$mob[money]\" size=\"10\" name=\"money\"/><br/>";

echo"Опыта:<br/>
<input class='input' type=\"text\" value=\"$mob[exp]\" size=\"10\" name=\"exp\"/><br/>";

echo"Время смерти(в секундах):<br/>
<input class='input' type=\"text\" value=\"$mob[time]\" size=\"10\" name=\"time\"/><br/>";

echo"Координата по X:<br/>
<input class='input' type=\"text\" value=\"$mob[x]\" size=\"10\" name=\"x\"/><br/>";

echo"Координата по Y:<br/>
<input class='input' type=\"text\" value=\"$mob[y]\" size=\"10\" name=\"y\"/><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{



mysql_query("UPDATE `mob` SET
`name` = '$_POST[name]',
`lvl` = '$_POST[lvl]',
`hp` = '$_POST[hp]',
`hpall` = '$_POST[hpall]',
`umin` = '$_POST[umin]',
`umax` = '$_POST[umax]',
`pgolova` = '$_POST[pgolova]',
`pbody` = '$_POST[pbody]',
`pnogi` = '$_POST[pnogi]',
`pmag` = '$_POST[pmag]',
`krit` = '$_POST[krit]',
`ukrit` = '$_POST[ukrit]',
`antikrit` = '$_POST[antikrit]',
`lovk` = '$_POST[lovk]',
`sd` = '$_POST[sd]',
`drop` = '$_POST[drop]',
`sm` = '$_POST[sm]',
`money` = '$_POST[money]',
`exp` = '$_POST[exp]',
`time` = '$_POST[time]',
`x` = '$_POST[x]',
`y` = '$_POST[y]' WHERE `id`='$_GET[id]' LIMIT 1");

echo'Монстр '.$_POST[name].' изменён!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '14':
if(empty($_GET[id])){
echo"Ошибка невыбрана вещь!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такой вещи не существует.";include($path.'files/down.php');exit;}
$item = mysql_fetch_array($req);

if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=14&amp;id='.$_GET[id].'" method="post">';

echo"Имя<br/>
<input class='input' type=\"text\" value=\"$item[name]\" size=\"10\" name=\"name\"/><br/>";

echo"Цена<br/>
<input class='input' type=\"text\" value=\"$item[cena]\" size=\"10\" name=\"cena\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" value=\"$item[umin]\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" value=\"$item[umax]\" size=\"10\" name=\"umax\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" value=\"$item[pgolova]\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита тела<br/>
<input class='input' type=\"text\" value=\"$item[pbody]\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" value=\"$item[pnogi]\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Бонус здоровья<br/>
<input class='input' type=\"text\" value=\"$item[hp]\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' type=\"text\" value=\"$item[mp]\" size=\"10\" name=\"mp\"/><br/>";
echo"Бонус крит<br/>
<input class='input' type=\"text\" value=\"$item[krit]\" size=\"10\" name=\"krit\"/><br/>";
echo"Бонус урон-крит<br/>
<input class='input' type=\"text\" value=\"$item[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Бонус антикрит<br/>
<input class='input' type=\"text\" value=\"$item[antikrit]\" size=\"10\" name=\"antikrit\"/><br/>";
echo"Бонус силы<br/>
<input class='input' type=\"text\" value=\"$item[sila]\" size=\"10\" name=\"sila\"/><br/>";
echo"Бонус ловкости<br/>
<input class='input' type=\"text\" value=\"$item[lovk]\" size=\"10\" name=\"lovk\"/><br/>";
echo"Бонус интелекта<br/>
<input class='input' type=\"text\" value=\"$item[um]\" size=\"10\" name=\"um\"/><br/>";
echo"Бонус физ. защиты<br/>
<input class='input' type=\"text\" value=\"$item[prot]\" size=\"10\" name=\"prot\"/><br/>";

echo "Класс:<br/>
<select value=\"$item[klas]\" name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo"Требуется силы<br/>
<input class='input' type=\"text\" value=\"$item[nsila]\" size=\"10\" name=\"nsila\"/><br/>";

echo"Требуется ловкости<br/>
<input class='input' type=\"text\" value=\"$item[nlovk]\" size=\"10\" name=\"nlovk\"/><br/>";

echo"Требуется интелекта<br/>
<input class='input' type=\"text\" value=\"$item[num]\" size=\"10\" name=\"num\"/><br/>";

echo"Требуемый уровень<br/>
<input class='input' type=\"text\" value=\"$item[nlvl]\" size=\"10\" name=\"nlvl\"/><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{

mysql_query("UPDATE `shop` SET
`name` = '$_POST[name]',
`cena` = '$_POST[cena]',
`umin` = '$_POST[umin]',
`umax` = '$_POST[umax]',
`pgolova` = '$_POST[pgolova]',
`pbody` = '$_POST[pbody]',
`pnogi` = '$_POST[pnogi]',
`hp` = '$_POST[hp]',
`mp` = '$_POST[mp]',
`krit` = '$_POST[krit]',
`ukrit` = '$_POST[ukrit]',
`antikrit` = '$_POST[antikrit]',
`sila` = '$_POST[sila]',
`lovk` = '$_POST[lovk]',
`um` = '$_POST[um]',
`prot` = '$_POST[prot]',
`klas` = '$_POST[klas]',
`nsila` = '$_POST[nsila]',
`nlovk` = '$_POST[nlovk]',
`num` = '$_POST[num]',
`nlvl` = '$_POST[nlvl]' WHERE id='$_GET[id]' LIMIT 1");

echo'Вещь '.$_POST[name].' изменена!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '15':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=15" method="post">';

echo"Название:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";

echo'Текст:<br/>
<textarea name="text" cols="30" rows="10"></textarea><br/>';

echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
mysql_query("INSERT INTO `library` SET
`title` = '$_POST[name]',
`text` = '$_POST[text]',
`author` = '$log',`time`='".date("d.m.y")."'");

echo'Статья '.$_POST[name].' написана!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
}
break;
case '16':
$req = mysql_query("SELECT * FROM `library`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[title]</b> [<a href=\"adm_panel.php?mod=17&amp;id=$mag[id]\">удалить</a>]<br/>";
}
}else{
echo"<b>Нет статей</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '17':
if(empty($_GET[id])){
echo"Ошибка невыбрана статья!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `library` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `library` WHERE `id`='$_GET[id]'");
echo'Статья удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '18':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=18" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
</select><br/>";

echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo'Латиницей (пишем латинецей, пробелы заменять "_"! Примеры: Аура шока - aura_shoka !Нельзя чтобы латинские именна повторялись!)<br/>';
echo"<input class='input' type=\"text\" size=\"10\" name=\"lat_name\"/><br/>";

echo"Цена<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"protect\"/><br/>";

echo"Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>";
echo"Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>";
echo"Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";

echo "Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo"Требуется силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nsila\"/><br/>";

echo"Требуется ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlovk\"/><br/>";

echo"Требуется интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"num\"/><br/>";

echo"Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";

echo"Время действия(в секундах)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"actime\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

mysql_query("INSERT INTO
`shop_aura` SET
`city` = '$_POST[city]',
`name` = '$_POST[name]',
`lat_name` = '$_POST[lat_name]',
`cena` = '$_POST[cena]',
`umin` = '$_POST[umin]',
`umax` = '$_POST[umax]',
`protect` = '$_POST[protect]',
`hp` = '$_POST[hp]',
`mp` = '$_POST[mp]',
`krit` = '$_POST[krit]',
`ukrit` = '$_POST[ukrit]',
`klas` = '$_POST[klas]',
`nsila` = '$_POST[nsila]',
`nlovk` = '$_POST[nlovk]',
`num` = '$_POST[num]',
`actime` = '$_POST[actime]',
`nlvl` = '$_POST[nlvl]'");

echo'Аура '.$_POST[name].' создана!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";

break;
case '19':
$req = mysql_query("SELECT * FROM `shop_aura`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b> [<a href=\"adm_panel.php?mod=20&amp;id=$mag[id]\">удалить</a>]<br/>";
}
}else{
echo"<b>Нет аур</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '20':
if(empty($_GET[id])){
echo"Ошибка невыбрана аура!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop_aura` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `shop_aura` WHERE `id`='$_GET[id]' LIMIT 1");
echo'Аура удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
/* Вывод юзеров */
case '21':
$req = mysql_query("SELECT * FROM `users`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=5){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[usr]</b> [<a href=\"adm_panel.php?mod=22&amp;id=$mag[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=23&amp;id=$mag[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет пользователей</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
/* Удаление */
case '666':
if(empty($_GET[id])){
echo"Ошибка пользователь не выбран!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `users` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `users` WHERE `id`='$_GET[id]'");
echo'Пользователь удалён!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
/* Изминение */
case '23':
if(empty($_GET[id])){
echo"Ошибка пользователь не выбран!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `users` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такой пользователь не существует.";include($path.'files/down.php');exit;}
$item = mysql_fetch_array($req);

if(empty($_POST[usr])){
echo '<form action="adm_panel.php?mod=23&amp;id='.$_GET[id].'" method="post">';

echo"Имя<br/>
<input class='input' type=\"text\" value=\"$item[usr]\" size=\"10\" name=\"usr\"/><br/>";

echo"email<br/>
<input class='input' type=\"text\" value=\"$item[email]\" size=\"10\" name=\"email\"/><br/>";

echo"ip<br/>
<input class='input' type=\"text\" value=\"$item[ip]\" size=\"10\" name=\"ip\"/><br/>";
echo"Пол<br/>
<input class='input' type=\"text\" value=\"$item[pol]\" size=\"10\" name=\"pol\"/><br/>";
echo"Права(Админ-5)<br/>
<input class='input' type=\"text\" value=\"$item[prava]\" size=\"10\" name=\"prava\"/><br/>";

echo"Раса(Типы: <br/>human-Люди;<br/>elf-Эльфы;<br/>gnom-Гномы;<br/>ork-Орки;)<br/>
<input class='input' type=\"text\" value=\"$item[rasa]\" size=\"10\" name=\"rasa\"/><br/>";
echo"Сторона(Типы: white и black)<br/>
<input class='input' type=\"text\" value=\"$item[storona]\" size=\"10\" name=\"storona\"/><br/>";
echo"lvl(макс. 80)<br/>
<input class='input' type=\"text\" value=\"$item[lvl]\" size=\"10\" name=\"lvl\"/><br/>";
echo"Монеты<br/>
<input class='input' type=\"text\" value=\"$item[money]\" size=\"10\" name=\"money\"/><br/>";
echo"Алмазы<br/>
<input class='input' type=\"text\" value=\"$item[almaz]\" size=\"10\" name=\"almaz\"/><br/>";
echo"Очки для распределения<br/>
<input class='input' type=\"text\" value=\"$item[skill]\" size=\"10\" name=\"skill\"/><br/>";
echo"Жизни<br/>
<input class='input' type=\"text\" value=\"$item[hp]\" size=\"10\" name=\"hp\"/><br/>";
echo"Жизни 2<br/>
<input class='input' type=\"text\" value=\"$item[hpall]\" size=\"10\" name=\"hpall\"/><br/>";
echo"Мана<br/>
<input class='input' type=\"text\" value=\"$item[mp]\" size=\"10\" name=\"mp\"/><br/>";
echo"Мана 2<br/>
<input class='input' type=\"text\" value=\"$item[mpall]\" size=\"10\" name=\"mpall\"/><br/>";
echo"Опыт<br/>
<input class='input' type=\"text\" value=\"$item[exp]\" size=\"10\" name=\"exp\"/><br/>";
echo"Сила<br/>
<input class='input' type=\"text\" value=\"$item[sila]\" size=\"10\" name=\"sila\"/><br/>";
echo"Интелект<br/>
<input class='input' type=\"text\" value=\"$item[um]\" size=\"10\" name=\"um\"/><br/>";
echo"Ловкость<br/>
<input class='input' type=\"text\" value=\"$item[lovk]\" size=\"10\" name=\"lovk\"/><br/>";
echo"Защита<br/>
<input class='input' type=\"text\" value=\"$item[prot]\" size=\"10\" name=\"prot\"/><br/>";
echo"Защита головы<br/>
<input class='input' type=\"text\" value=\"$item[pgolova]\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита туловища<br/>
<input class='input' type=\"text\" value=\"$item[pbody]\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" value=\"$item[pnogi]\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Анти-крит<br/>
<input class='input' type=\"text\" value=\"$item[antikrit]\" size=\"10\" name=\"antikrit\"/><br/>";
echo"Критический удар<br/>
<input class='input' type=\"text\" value=\"$item[krit]\" size=\"10\" name=\"krit\"/><br/>";
echo"Крит-урон<br/>
<input class='input' type=\"text\" value=\"$item[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Урон мин.<br/>
<input class='input' type=\"text\" value=\"$item[umin]\" size=\"10\" name=\"umin\"/><br/>";
echo"Урон макс.<br/>
<input class='input' type=\"text\" value=\"$item[umax]\" size=\"10\" name=\"umax\"/><br/>";


echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{

mysql_query("UPDATE `users` SET
`usr` = '$_POST[usr]',
`email` = '$_POST[email]',
`ip` = '$_POST[ip]',
`pol` = '$_POST[pol]',
`prava` = '$_POST[prava]',
`rasa` = '$_POST[rasa]',
`storona` = '$_POST[storona]',
`lvl` = '$_POST[lvl]',
`money` = '$_POST[money]',
`almaz` = '$_POST[almaz]',
`skill` = '$_POST[skill]',
`hp` = '$_POST[hp]',
`hpall` = '$_POST[hpall]',
`mp` = '$_POST[mp]',
`mpall` = '$_POST[mpall]',
`exp` = '$_POST[exp]',
`sila` = '$_POST[sila]',
`um` = '$_POST[um]',
`lovk` = '$_POST[lovk]',
`prot` = '$_POST[prot]',
`pgolova` = '$_POST[pgolova]',
`pbody` = '$_POST[pbody]',
`pnogi` = '$_POST[pnogi]',
`antikrit` = '$_POST[antikrit]',
`krit` = '$_POST[krit]',
`ukrit` = '$_POST[ukrit]',
`umin` = '$_POST[umin]',
`umax` = '$_POST[umax]' WHERE id='$_GET[id]' LIMIT 1");

echo'Игрок '.$_POST[usr].' изменён!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '24':
$req = mysql_query("SELECT * FROM `msg_i`,`msg_r`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[title]</b> [<a href=\"adm_panel.php?mod=25&amp;id=$mag[id]\">удалить</a>]<br/>";
}
}else{
echo"<b>Нет сообщений</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '25':
if(empty($_GET[id])){
echo"Нет сообщений";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `msg_i`,`msg_r` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `msg_i`,`msg_r` WHERE `id`='$_GET[id]'");
echo'Статья удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
/* Добовляем новость */
case '26':
if(empty($_POST[title])){
echo '<form action="adm_panel.php?mod=26" method="post">';

echo"Название:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"title\"/><br/>";

echo'Текст:<br/>
<textarea name="text" cols="30" rows="10"></textarea><br/>';

echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
mysql_query("INSERT INTO `news` SET
`title` = '$_POST[title]',
`text` = '$_POST[text]',
`nick` = '$log',`time`='".date("d.m.y")."'");

echo'Новость '.$_POST[name].' добавлена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
}
break;
/* Удоляем новость */
case '27':
$req = mysql_query("SELECT * FROM `news`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[title]</b> [<a href=\"adm_panel.php?mod=28&amp;id=$mag[id]\">удалить</a>][<a href=\"adm_panel.php?mod=29&amp;id=$mag[id]\">изменить</a>]<br/><br/>";

}
}else{
echo"<b>Нет новостей</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '28':
if(empty($_GET[id])){
echo"Ошибка невыбрана новость!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `news` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `news` WHERE `id`='$_GET[id]'");
echo'Новость удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
/* Изминение */
case '29':
if(empty($_GET[id])){
echo"Ошибка новость не выбрана!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `news` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такая новость не существует.";include($path.'files/down.php');exit;}
$item = mysql_fetch_array($req);

if(empty($_POST[title])){
echo '<form action="adm_panel.php?mod=29&amp;id='.$_GET[id].'" method="post">';

echo"Название<br/>
<input class='input' type=\"text\" value=\"$item[title]\" size=\"10\" name=\"title\"/><br/>";
echo"Текст<br/>
<input class='input' type=\"text\" value=\"$item[text]\" size=\"10\" name=\"text\"/><br/>";






echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{

mysql_query("UPDATE `news` SET
`title` = '$_POST[title]',
`text` = '$_POST[text]' WHERE id='$_GET[id]' LIMIT 1");

echo'Новость '.$_POST[usr].' изменена!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>
